# <center>Visão geral</center>

![Image title](./assets/images/pyodmongo_Logo_BG_Dark.png#only-dark)
![Image title](./assets/images/pyodmongo_Logo_BG_White.png#only-light)

<div align="center">
    <a href="https://pypi.org/project/pyodmongo/" target="_blank">
      <img src="https://img.shields.io/pypi/v/pyodmongo" alt="coverage">
    </a>
    <a href="https://pypi.org/project/pyodmongo/" target="_blank">
      <img src="https://img.shields.io/badge/Python-3.11-green" alt="pre-commit">
    </a>
</div>

`pyodmongo` é uma biblioteca Python que funciona como um Mapeador Objeto-Documento (ODM) para o MongoDB. Ela é construída sobre a popular biblioteca `pydantic V2`, tornando mais fácil trabalhar com documentos do MongoDB de forma Pythonica e eficiente.

Com o `pyodmongo`, você pode mapear facilmente suas classes Python para documentos do MongoDB, permitindo trabalhar com dados de maneira mais intuitiva e Pythonica. Ele simplifica o processo de definição e interação com coleções, documentos e consultas do MongoDB.

## Principais Recursos

- **Integração com pydantic**: Aproveite o poder da validação de dados e das capacidades de modelagem do pydantic ao trabalhar com dados do MongoDB.

- **Geração Automática de Esquema**: Defina o esquema do MongoDB usando modelos pydantic, e o `pyodmongo` criará automaticamente as coleções necessárias no MongoDB, garantindo a consistência dos dados.

- **Construtor de Consultas**: Construa facilmente consultas complexas do MongoDB usando código Python, reduzindo a necessidade de escrever strings de consulta brutas.

- **Serialização de Documentos**: Serialize e desserialize objetos Python para documentos do MongoDB sem esforço.

- **Suporte Assíncrono**: Tire proveito da programação assíncrona com o `pyodmongo` para aprimorar o desempenho de suas operações com o MongoDB.

- **Desenvolvimento Ativo**: O `pyodmongo` está em desenvolvimento ativo e é mantido regularmente, com novos recursos e melhorias sendo adicionados.

## Instalação

Você pode instalar o `pyodmongo` usando pip:

```bash
pip install pyodmongo
```
## Contribuições
Contribuições para o `pyodmongo` são bem-vindas! Se você encontrar problemas ou tiver ideias de melhorias, abra uma issue ou envie uma pull request no [repositório do GitHub](https://github.com/mauro-andre/pyodmongo).

## Licença
`pyodmongo` é licenciado sob a Licença MIT. Consulte o [arquivo LICENSE](https://github.com/mauro-andre/pyodmongo/blob/master/LICENSE) para obter mais informações.